'use strict';

const index = require('./index-f25ffc65.js');

/*
 Stencil Client Patch Browser v2.0.3 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('caly.cjs.js', document.baseURI).href));
    const opts =  {};
    if ( importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy([["caly-calendar.cjs",[[1,"caly-calendar",{"year":[1538],"month":[1538],"selected":[1537],"locale":[1],"startOfTheWeek":[2,"start-of-the-week"],"numberOfMonths":[2,"number-of-months"],"showPreviousNumberOfMonths":[4,"show-previous-number-of-months"],"disableOnDay":[16],"range":[4],"rangeStart":[1537,"range-start"],"rangeEnd":[1537,"range-end"],"hoverDay":[32]}]]]], options);
});
