import { IDay, MonthNumber, Year } from 'cntdys';
interface CalendarDay {
  day: number;
  year: Year;
  month: MonthNumber;
}
export declare const selectedDayToCalendarDay: (selectedDay?: string) => {
  day: number;
  month: number;
  year: number;
};
export declare const dayClass: ({ weekDay, month, year, selectedDay, rangeStart, rangeEnd, hoverDay, disableOnDay, }: {
  weekDay: IDay;
  month: MonthNumber;
  year: number;
  selectedDay?: CalendarDay;
  rangeStart?: CalendarDay;
  rangeEnd?: CalendarDay;
  hoverDay?: IDay;
  disableOnDay?: (timestamp: number) => boolean;
}) => string;
export declare const dayNames: (startOfTheWeek: number, locale?: string) => string[];
export declare const monthName: (year: number, month: number, locale?: string) => string;
export declare const range: (n: any) => number[];
export {};
