import { p as promiseResolve, b as bootstrapLazy } from './index-e5e1cb82.js';

/*
 Stencil Client Patch Browser v2.0.3 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = import.meta.url;
    const opts =  {};
    if ( importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return promiseResolve(opts);
};

patchBrowser().then(options => {
  return bootstrapLazy([["caly-calendar",[[1,"caly-calendar",{"year":[1538],"month":[1538],"selected":[1537],"locale":[1],"startOfTheWeek":[2,"start-of-the-week"],"numberOfMonths":[2,"number-of-months"],"showPreviousNumberOfMonths":[4,"show-previous-number-of-months"],"disableOnDay":[16],"range":[4],"rangeStart":[1537,"range-start"],"rangeEnd":[1537,"range-end"],"hoverDay":[32]}]]]], options);
});
